--[[
	LuckyCharms2 v3.0.6
	Last Changed By: neer
	Last Changed: 2011-01-07T01:37:59Z
]]
function Localize()
	local locale = GetLocale();
	--[[
	"frFR": French
"deDE": German
"enUS": American english (what should be "enGB" clients return "enUS", too)
"koKR": Korean
"zhCN": Chinese (simplified)
"zhTW": Chinese (traditional)
"ruRU": Russian (UI AddOn)
"esES": Spanish (Spain)
"esMX": Spanish (Mexico)
	]]
	
	if ( locale == "deDE" ) then
		LC2LocalizeDE();
	else
		LC2LocalizeEN();
	end
	
	--Version
	LC2Version = "v3.0.6";
	LC2SettVer = "1.1";
	
	--Crowd Control Spells
	--Last CCID = 16
	LC2Txt_DruidCC = {--Spell IDs of CC spells for Druids
		{1,33786},--Cyclone, Druid, 1 Any [1]
		{2,2637},--Hibernate, Druid, 1 Beast,Dragonkin [2]
		{16,339},--Entangling Roots, Druid, Any [3]
	};

	LC2Txt_HunterCC = {--Spell IDs of CC spells for Hunters
		{3,1499},--Freezing Trap, Hunter, 1 Any [1]
		{4,19386},--Wyvern Sting (Talent), Hunter, 1 Any [2]
	};
	
	LC2Txt_MageCC = {--Spell IDs of CC spells for Mage
		{5,118},--Polymorph, Mage, 1 Humanoid, Beast, Critter [1]
	};
	
	LC2Txt_PaladinCC = {--Spell IDs of CC spells for Paladin
		{6,20066},--Repentance (Talent), Paladin, 1 Humanoid, Undead, Dragonkin, Giant, Demon [1]
	};
	
	LC2Txt_PriestCC = {--Spell IDs of CC spells for Priest
		{7,9484},--Shackle Undead, Priest, 1 Undead [1]
		{8,605},--Mind Control, Priest, 1 Humanoid [2]
	};

	LC2Txt_RogueCC = {--Spell IDs of CC spells for Rogue
		{9,6770},--Sap, Rogue, 1 Humanoid, Beasts, Demons, Dragonkin [1]
	};
	
	LC2Txt_ShamanCC = {--Spell IDs of CC spells for Shaman
		{10,51514},--Hex, Shaman, 1 Humanoid, Beast [1]
		{11,76780},--Bind Elemental, Shaman 1 Elemental [2]
	};
	
	LC2Txt_WarlockCC = {--Spell IDs of CC spells for Warlocks
		{12,6358},--Seduction, Warlock, 1 Humanoid [1]  
		{13,710},--Banish, Warlock, 1 Demon, Elemental [2] 
		{14,1098},--Enslave Demon, Warlock, 1 demon [3]
		{15,5782},--Fear, Warlock, Any
	};
	--end Crowd Control Spells
	
	--ENGLISH Crowd Control Classes
	LC2Txt_CCClassEN = {
		"DRUID", --[1]
		"HUNTER", --[2]
		"MAGE", --[3]
		"PALADIN", --[4]
		"PRIEST", --[5]
		"ROGUE", --[6]
		"SHAMAN", --[7]
		"WARLOCK", --[8]
	};
	--end Crowd Control Classes
	
	--Stuff to Remove Later
	LC2Txt_Default = CHAT_DEFAULT;
	LC2Txt_Alpha = OPACITY;
	LC2Txt_Display = DISPLAY;
	LC2Txt_Disabled = ADDON_DISABLED;
	LC2Txt_RC = READY_CHECK;
end